<!DOCTYPE html>
<html lang="en-ie">
  <head>
    <meta charset="UTF-8"/>
    <title>Skynet Sign-up</title>
    <link href="images/favicon/favicon-16x16.png" rel="icon" type="image/png"/>
    <link href="stylesheets/index.css" rel="stylesheet" type="text/css"/>
    <style>
      /* Taken from the W3 schools loader tutorial */
      .loader {
        border: 16px solid #f3f3f3;
        border-radius: 50%;
        border-top: 16px solid #3498db;
        width: 60px;
        height: 60px;
        -webkit-animation: spin 2s linear infinite; /* Safari */
        animation: spin 20s linear;
      }

      @keyframes spin {
        0% {
          transform: rotate(0deg);
        }
        100% {
          transform: rotate(360deg);
        }
      }
    </style>
  </head>
  <body>
    <div class="wrapper">
      <header class="page-header">
        <img alt="Sharky, our mascot" height="81.56" src="images/sharky.svg" width="145"/>
        <h1>Skynet Self Service</h1>
      </header>
      <main class="page-body">
        <h2>Welcome to Skynet</h2>
        <p>
          If you previously had an account please <a href="modify.html">set your email</a> to be the same as UL Wolves.
          <br/>
          If you are a new user, please fill in the form below with the email that you use on ul wolves.
        </p>
        <form id="form">
          <label for="mail">Email address</label>
          <input id="mail" name="email" type="email"/> <br/>
          <input id="button" type="submit" value="Submit"/>
        </form>
        <p id="formStatus"></p>
        <script type="module" src="signup.js"></script>
      </main>
      <footer class="page-footer">
        UL Computer Society 2023-<span id="year">2023</span>
        <script>
          document.getElementById('year').textContent = new Date().getFullYear().toString()
        </script>
      </footer>
    </div>
  </body>
</html>